from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class X3DDefaultSetter(XInterface, Protocol):
    def set3DSettingsToDefault(self) -> None: ...
    def setDefaultRotation(self) -> None: ...
    def setDefaultIllumination(self) -> None: ...
